library(MASS);

c1 <- c(10,10,6,11,8,7,11,12,12,6,10,6,13,8,12,7,6,16,9,5)
n <- length(c1)

beta_start <- ((n-1)/n*var(c1))/mean(c1)
alpha_start <- mean(c1)/beta_start

par <- fitdistr(c1, "gamma")

par$estimate

alpha <- par$estimate[1]
beta <- 1/par$estimate[2]

hist(c1, breaks=10, prob=TRUE, xlim=c(4,17), ylim=c(0,0.3), col="yellow")

x_i = seq(4,17,by=0.01)
lines(x_i, dgamma(x_i, shape=alpha, scale=beta), col="blue")
lines(x_i, dgamma(x_i, shape=alpha_start, scale=beta_start), col="green")
